# Created by pyp2rpm-3.3.2
%global pypi_name sphinx-testing

Name:           python-%{pypi_name}
Version:        1.0.1
Release:        %mkrel 7
Summary:        testing utility classes and functions for Sphinx extensions
Group:          Development/Python
License:        None
URL:            https://github.com/sphinx-doc/sphinx-testing
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(six)
BuildRequires:  python3dist(sphinx)

%description
testing utility classes and functions for Sphinx extensions

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(six)
Requires:       python3dist(sphinx)

%description -n python3-%{pypi_name}
testing utility classes and functions for Sphinx extensions

%prep
%autosetup -n %{pypi_name}-%{version}

# Remove bundled egg-info
rm -rf src/*.egg-info/

%build
%py3_build

%install
%py3_install

%check
%{__python3} setup.py test

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst
%{python3_sitelib}/sphinx_testing
%{python3_sitelib}/sphinx_testing-%{version}-py%{python3_version}.egg-info


%changelog
* Fri Dec 08 2023 wally <wally> 1.0.1-7.mga10
+ Revision: 2015545
- rebuild for py3.12

* Tue Mar 29 2022 umeabot <umeabot> 1.0.1-6.mga9
+ Revision: 1832600
- Mageia 9 Mass Rebuild

* Sun Feb 13 2022 tv <tv> 1.0.1-5.mga9
+ Revision: 1774042
- Fix filelist for python-3.10
- Rebuild for python-3.10

* Mon Mar 15 2021 wally <wally> 1.0.1-4.mga9
+ Revision: 1703517
- rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 1.0.1-3.mga8
+ Revision: 1533683
- Mageia 8 Mass Rebuild

* Mon Sep 23 2019 tv <tv> 1.0.1-2.mga8
+ Revision: 1444918
- rebuild for python-3.8

* Sun Aug 18 2019 wally <wally> 1.0.1-1.mga8
+ Revision: 1429789
- imported package python-sphinx-testing

